{ ALT.INC

  Parallel Pascal v. 2.0.1: Copyright (c) 1989 3L Ltd

  This file, when added to a program with the $INCLUDE statement,
  provides access to the ALT package for "guarded input".

  Rev 002 24-Feb-89  JF  For version 2.0.1
}

{ NB: CHAN.INC must be included before this file }

IMPORT FUNCTION Alt_NoWait_Vec ALIAS 'alt_nowait_vec'
   (NArgs : Integer; VAR Args : UNIV Chan_Vec) : Integer;
IMPORT FUNCTION Alt_Wait_Vec   ALIAS 'alt_wait_vec'
   (NArgs : Integer; VAR Args : UNIV Chan_Vec) : Integer;

IMPORT FUNCTION Alt_NoWait_1   ALIAS 'alt_nowait'
   (NArgs : Integer; VAR C1 : Chan_Type) : Integer;
IMPORT FUNCTION Alt_Wait_1     ALIAS 'alt_wait'
   (NArgs : Integer; VAR C1 : Chan_Type) : Integer;

IMPORT FUNCTION Alt_NoWait_2   ALIAS 'alt_nowait'
   (NArgs : Integer; VAR C1, C2 : Chan_Type) : Integer;
IMPORT FUNCTION Alt_Wait_2     ALIAS 'alt_wait'
   (NArgs : Integer; VAR C1, C2 : Chan_Type) : Integer;

IMPORT FUNCTION Alt_NoWait_3   ALIAS 'alt_nowait'
   (NArgs : Integer; VAR C1, C2, C3 : Chan_Type) : Integer;
IMPORT FUNCTION Alt_Wait_3     ALIAS 'alt_wait'
   (NArgs : Integer; VAR C1, C2, C3 : Chan_Type) : Integer;

IMPORT FUNCTION Alt_NoWait_4   ALIAS 'alt_nowait'
   (NArgs : Integer; VAR C1, C2, C3, C4 : Chan_Type) : Integer;
IMPORT FUNCTION Alt_Wait_4     ALIAS 'alt_wait'
   (NArgs : Integer; VAR C1, C2, C3, C4 : Chan_Type) : Integer;

IMPORT FUNCTION Alt_NoWait_5   ALIAS 'alt_nowait'
   (NArgs : Integer; VAR C1, C2, C3, C4, C5 : Chan_Type) : Integer;
IMPORT FUNCTION Alt_Wait_5     ALIAS 'alt_wait'
   (NArgs : Integer; VAR C1, C2, C3, C4, C5 : Chan_Type) : Integer;

IMPORT FUNCTION Alt_NoWait_6   ALIAS 'alt_nowait'
   (NArgs : Integer; VAR C1, C2, C3, C4, C5, C6 : Chan_Type) : Integer;
IMPORT FUNCTION Alt_Wait_6     ALIAS 'alt_wait'
   (NArgs : Integer; VAR C1, C2, C3, C4, C5, C6 : Chan_Type) : Integer;

{ The above IMPORT statements are examples: any number of channels may
  be passed if they are specified appropriately }
