{ MANDEL.INC
  
  Parallel Pascal v. 2.0: Copyright (c) 1988 3L Ltd.
  Example program: Mandelbrot Set evaluation and display

  Definition of Command and Results types.
  Rev 000  27-Jul-88  JF    Created
}
CONST
   Max_Count = 1008;
TYPE
   Byte      = 0..255;
   Set_Details = RECORD
                    X_Coord, Y_Coord, Gap   : Shortreal
                 END;
   Tile        = RECORD
                    Tlx                     : CGA_LoRes_X;
                    Tly                     : CGA_Y;
                    Brx                     : CGA_LoRes_X;
                    Bry                     : CGA_Y
                 END;
   Command     = RECORD
                    Details                 : Set_Details;
                    T                       : Tile
                 END;
   Results     = RECORD
                    T                       : Tile;
                    Counts                  : ARRAY [1..Max_Count] OF Byte
                 END;
