{ SEMA.INC

  Parallel Pascal v. 2.0.1: Copyright (c) 1989 3L Ltd

  This file, when added to a program with the $INCLUDE statement,
  provides access to the SEMA package for semaphore manipulation.

  Rev 003 24-Feb-89  JF  For version 2.0.1
}


{ A semaphore is like this... }
TYPE Sema_Type = RECORD
                    Value : Integer;
                    Queue : ^ Char;
                 END;

{ Semphore for controlling access to RTL }
IMPORT Par_Sema ALIAS 'par_sema' : Sema_Type;


{ IMPORT statements for the various procedures }
IMPORT PROCEDURE Sema_Init ALIAS 'sema_init'
   (VAR S : Sema_Type; V : Integer);

IMPORT PROCEDURE Sema_Signal ALIAS 'sema_signal'
   (VAR S : Sema_Type);

IMPORT PROCEDURE Sema_Signal_N ALIAS 'sema_signal_n'
   (VAR S : Sema_Type; N : Integer);

IMPORT PROCEDURE Sema_Wait ALIAS 'sema_wait'
   (VAR S : Sema_Type);

IMPORT PROCEDURE Sema_Wait_N ALIAS 'sema_wait_n'
   (VAR S : Sema_Type; N : Integer);
